import timeit
import random
from unsorted import build, do_a_search

maxlength = 1024000

print()
print("Timing 1000 searches through unsorted lists:")
length = 1000
while length <= maxlength:
    xs = build(length)
    time = timeit.timeit(stmt="do_a_search(xs)", number=1000, globals=globals())
    print(f"time for length {length} is {round(time*1000,2)}ms")
    length *= 2

from sorted import build, do_a_search
    
print()
print("Timing 1000 binary searches through sorted lists:")
length = 1000
while length <= maxlength:
    xs = build(length)
    time = timeit.timeit(stmt="do_a_search(xs)", number=1000, globals=globals())
    print(f"time for length {length} is {round(time*1000,2)}ms")
    length *= 2

    
    

